Bug 1076517 - Review Request: orocos-kdl - A framework for modeling and computation of kinematic chains
Summary: Review Request: orocos-kdl - A framework for modeling and computation of kin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
gil cattaneo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-14 13:32 UTC by Till Hofmann
Modified: 2015-06-07 16:06 UTC (History)
3 users (show)

Fixed In Version: orocos-kdl-1.3.0-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-07 16:05:31 UTC
Type: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Till Hofmann 2014-03-14 13:32:55 UTC
Spec URL: http://thofmann.fedorapeople.org/orocos-kdl.spec
SRPM URL: http://thofmann.fedorapeople.org/orocos-kdl-1.1.102-2.fc20.src.rpm
libsuffix patch: http://thofmann.fedorapeople.org/orocos-kdl.libsuffix.patch
Description:
The Kinematics and Dynamics Library (KDL) develops an application independent
framework for modeling and computation of kinematic chains, such as robots,
bio-mechanical human models, computer-animated figures, machine tools, etc.
It provides class libraries for geometrical objects (point, frame, line,... ),
kinematic chains of various families (serial, humanoid, parallel, mobile,... ),
and their motion specification and interpolation.

Fedora Account System Username: thofmann

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6632590

I've submitted a bug report at http://bugs.orocos.org/show_bug.cgi?id=1056 to include the lib-suffix patch.

Comment 1 Volker Fröhlich 2014-04-27 15:12:57 UTC
Don't add version constraints to cmake and sip. Every version of Fedora and at least EPEL6 provides the necessary versions.

The license should be LGPLv2+.

Comment 2 Till Hofmann 2014-06-05 15:34:36 UTC
There is a new version available on github [1], I've updated the SPEC file in place. The new SRPM can be found at [2]. There is a new patch which updates the version [3].

I've tried to include the python package as well, but in order to build the python package, I need orocos-kdl already installed. I could adapt the build process to use the headers in the src dir and the newly built library files, but I'm not sure if this is the right way to do this. I figured it would be easier to put the python package in a seperate SPEC file instead. Any suggestions on that?

In order to allow the use of the python bindings, I've added sip-devel as build requirement and enabled the build flag.

I've removed the version constraints and changed the license as suggested.

I've added documentation to the devel package.

[1] https://github.com/orocos/orocos_kinematics_dynamics
[2] http://thofmann.fedorapeople.org/orocos-kdl-1.2.2-1.fc20.src.rpm
[3] http://thofmann.fedorapeople.org/orocos-kdl.version.patch

Comment 3 Till Hofmann 2015-05-21 09:25:38 UTC
Spec URL: https://thofmann.fedorapeople.org/orocos-kdl.spec
SRPM URL: https://thofmann.fedorapeople.org/orocos-kdl-1.3.0-3.fc20.src.rpm

I've updated the package to the new upstream version 1.3.0, which also includes the libsuffix patch.
I've split the python bindings into a separate spec file, which I will submit for review separately.

There is a unit test which fails on ix86, therefore I currently exclude ix86. The issue is reported upstream [1]. Once the issue is resolved, I will re-add ix86. Following the guidelines [2], I've added a comment to the spec file explaining the issue, and I will file a bug once the package has been approved.

The package builds successfully for x86_64 and arm [3].

A review would be highly appreciated!


[1] https://github.com/orocos/orocos_kinematics_dynamics/issues/54
[2] https://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Build_Failures
[3] http://koji.fedoraproject.org/koji/taskinfo?taskID=9814919

Comment 4 gil cattaneo 2015-05-26 10:13:09 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
 FIXME
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 12072960 bytes in 1449 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
 FIXME

===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/pkgconfig, /usr/lib64
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64,
     /usr/lib64/pkgconfig
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package does not contain duplicates in %files.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[!]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 12953600 bytes in /usr/share
     orocos-kdl-devel-1.3.0-3.fc23.x86_64.rpm:12922880
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
ERROR: Cannot build target x86_64 on arch i686, because it is not listed in legal_host_arches ('x86_64',)
NOTE: Manual review on Fedora 20 i686

Rpmlint
-------
Checking: orocos-kdl-1.3.0-3.fc23.x86_64.rpm
          orocos-kdl-devel-1.3.0-3.fc23.x86_64.rpm
          orocos-kdl-1.3.0-3.fc20.src.rpm
orocos-kdl-devel.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Requires
--------
orocos-kdl-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    liborocos-kdl.so.1.3()(64bit)
    orocos-kdl(x86-64)

orocos-kdl (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    eigen3
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
orocos-kdl-devel:
    orocos-kdl-devel
    orocos-kdl-devel(x86-64)
    pkgconfig(orocos-kdl)
    pkgconfig(orocos_kdl)

orocos-kdl:
    liborocos-kdl.so.1.3()(64bit)
    orocos-kdl
    orocos-kdl(x86-64)



Source checksums
----------------
https://github.com/orocos/orocos_kinematics_dynamics/archive/2aa76640f0a1c5ac57946c20e844372578b55743/orocos-kdl-2aa76640f0a1c5ac57946c20e844372578b55743.tar.gz :
  CHECKSUM(SHA256) this package     : 6d7ab0f44ccaf640ba797fe4a597886adb40612b1051dc9eb8edb3b8e3d526d3
  CHECKSUM(SHA256) upstream package : 6d7ab0f44ccaf640ba797fe4a597886adb40612b1051dc9eb8edb3b8e3d526d3


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -vpn orocos-kdl -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 gil cattaneo 2015-05-26 10:14:40 UTC
NON blocking issues:
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
 FIXME

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 12072960 bytes in 1449 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
 FIXME

Approved

Comment 6 Till Hofmann 2015-05-26 13:48:46 UTC
New Package SCM Request
=======================
Package Name: orocos-kdl
Short Description: A framework for modeling and computation of kinematic chains
Upstream URL: http://www.orocos.org/kdl/
Owners: thofmann
Branches: f22 f21
InitialCC:

Comment 7 Till Hofmann 2015-05-26 14:58:10 UTC
Thanks for reviewing! As the review request should be assigned to the reviewer, I'm assigning the bug to you. No action needed from your side.

Comment 8 Gwyn Ciesla 2015-05-26 19:19:44 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-05-26 20:34:30 UTC
orocos-kdl-1.3.0-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/orocos-kdl-1.3.0-4.fc22

Comment 10 Fedora Update System 2015-05-26 20:35:22 UTC
orocos-kdl-1.3.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/orocos-kdl-1.3.0-4.fc21

Comment 11 Fedora Update System 2015-05-28 12:04:00 UTC
orocos-kdl-1.3.0-4.fc22 has been pushed to the Fedora 22 testing repository.

Comment 12 Fedora Update System 2015-06-07 16:05:31 UTC
orocos-kdl-1.3.0-4.fc22 has been pushed to the Fedora 22 stable repository.

Comment 13 Fedora Update System 2015-06-07 16:06:20 UTC
orocos-kdl-1.3.0-4.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.